Package com.orbbec.obsensor

## Enum AlignMode

- java.lang.Object
- - java.lang.Enum<AlignMode>
  - - com.orbbec.obsensor.AlignMode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AlignMode>`

    public enum AlignMode
    extends java.lang.Enum<AlignMode>

D2C Status

### Enum Constant Summary

Enum Constants
`ALIGN_D2C_DISABLE` Close D2C
`ALIGN_D2C_HW_ENABLE` Enable hardware D2C
`ALIGN_D2C_SW_ENABLE` Enable software D2C

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AlignMode` `get​(int value)` Get the data stream format corresponding to the specified index
`int` `value()` Get the index corresponding to the data stream format
`static AlignMode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AlignMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALIGN_D2C_DISABLE

    public static final AlignMode ALIGN_D2C_DISABLE

Close D2C

#### ALIGN_D2C_HW_ENABLE

    public static final AlignMode ALIGN_D2C_HW_ENABLE

Enable hardware D2C

#### ALIGN_D2C_SW_ENABLE

    public static final AlignMode ALIGN_D2C_SW_ENABLE

Enable software D2C

### Method Detail

#### values

    public static AlignMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AlignMode c : AlignMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AlignMode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the data stream format

Returns:
  index value

#### get

    public static AlignMode get​(int value)

Get the data stream format corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  data stream format